server:
  port: 15001
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600

spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://172.20.0.66:3306/baiduutil?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: bcx
    password: Wstestv5in#2022
  redis:
    host: 49.4.21.141 #地址
    port: 6685 #端口
    password: Rd20240628
    timeout: 10000 # 连接超时时间（毫秒）
    database: 8 #默认数据库
    jedis:
      pool:
        max-active: 200 # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10 # 连接池中的最大空闲连接
        min-idle: 0 # 连接池中的最小空闲连接
        time-between-eviction-runs: -1 #逐出扫描的时间间隔(毫秒) 如果为负数,则不运行逐出线程, 默认-1

mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        ferry: info
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /data/logs
  # 日志打印级别  默认 info
  level: info
  # 是否控制台输出，默认true
  stdout: true

# 摆渡工具服务配置
baiduutil-server-config:
  #目标系统配置
  region-codes: govin-to-public
  api:
    # 拉取数据包接口
    pull-url: http://172.20.0.248:19001/pull/data/manual
    # 推送数据包接口
    push-url: http://172.20.0.248:19001/push/data/
    # 查询拉取结果接口
    pull-query-result-url: http://172.20.0.248:19001/pull/data/query/result
    # 查询推送结果接口
    push-query-result-url: http://172.20.0.248:19001/push/data/query/result/

# 治综边界服务配置
boundary-server-config:
  # 请求授权码
  role-code: aaaa
  # 最大文件大小，单位：子节
  max-file-size: 204800
  api:
    # 发送文件或数据接口
    send-url: http://172.20.0.248:19001/ferry_file/send
    # 查询任务接口
    query-url: http://172.20.0.248:19001/ferry_file/query

# 定时任务配置
scheduling-config:
  # 创建摆渡任务
  create-ferry-task:
    # 每15分钟执行一次
    cron: 0 */1 * * * ?
    # 每次摆渡拉取时间间隔，分钟
    time-interval: 30
  # 查询摆渡任务状态-拉取完成
  query-pull-complete:
    # 每1分钟执行一次
    cron: 15 */1 * * * ?
  # 调用边界服务执行摆渡任务信息文件
  send-ferry-task-file:
    # 每1分钟执行一次
    cron: 30 */1 * * * ?
  # 查询接收任务状态-接收明细文件完成
  query-receive-detail-file-complete:
    # 每1分钟执行一次
    cron: 45 */1 * * * ?
  # 查询接收任务状态-摆渡完成
  query-receive-task-complete:
    # 每1分钟执行一次
    cron: 55 */1 * * * ?
  # 扫描异常情况
  scan-error-info:
    # 每10分钟执行一次
    cron: 0 */10 * * * ?
    # 每次判断的时间间隔，分钟
    time-interval: 60

# 摆渡接收配置
receive-config:
  # 文件存放根目录
  package-url: /data/baidu/push/